Bug 65388 - [e1000] eth2 SIOCGIFFLAGS failed
[e1000] eth2 SIOCGIFFLAGS failed
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Garzik
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2002-05-22 20:37 EDT by Need Real Name
Modified: 2013-07-02 22:06 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 11:39:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-05-22 20:37:00 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

Description of problem:
After installation eth2 (Intel EtherExpress/1000 gigabit) will work. A few days 
later we reboot and the eth2 fails. But when we set eth0 to some IP eth2 will 
comeback without failing. However there is no communication through eth2. 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.AFter installation of Redhat linux 7.3.
2.Terminals comes up working properly.
3.Then reboot.
4.eth2 has failed and will not work.

Actual Results:  eth2 SIOCGIFFLAGS failed
Do ifconfig all that is seen is loopback IP. 

Expected Results:  eth2 [ok]
Should be able to communicate through eth2 (gigabit).

Additional info:

We add eth0 with a new IP address. edit /etc/hosts file to include loopback, 
and eth2 IP address. We reboot system. System comes back with no failures but 
communication throught eth2 will not work.
Comment 1 Bill Nottingham 2002-06-12 01:31:19 EDT
Do you get any error messages in your system logs?

What do /etc/sysconfig/network-scripts/ifcfg-* look like?
Comment 2 Need Real Name 2002-06-12 11:02:41 EDT
     ifup: SIOCGIFFLAGS: No such device
     ifup: Failed to bring up eth2
     network: Bringing up interface eth2: failed

Comment 3 Jeff Garzik 2002-10-25 14:16:55 EDT
Can you reproduce with the latest e1000 driver, either from 7.3 errata kernel,
8.0 or kernel.org's latest stock kernel?
Comment 4 Olivier "ceituna" LAMBERT 2003-07-18 09:23:38 EDT
Are you sure module has been loaded ?

What gives you an lsmod ?
Comment 5 Bugzilla owner 2004-09-30 11:39:37 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.